
From: "Randy.Dunlap" <rddunlap@osdl.org>

Ignore __param section references; they aren't discarded.

Error: ./drivers/mtd/devices/phram.o __param refers to 0000000000000010 R_X86_64_64       .init.text+0x0000000000000013
Error: ./drivers/scsi/dc395x.o __param refers to 0000000000000020 R_X86_64_64       .init.data+0x0000000000000064
Error: ./drivers/usb/gadget/ether.o __param refers to 0000000000000048 R_X86_64_64       .init.data+0x0000000000000020

Signed-off-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/scripts/reference_init.pl |    1 +
 1 files changed, 1 insertion(+)

diff -puN scripts/reference_init.pl~__init-dependencies-ignore-__param scripts/reference_init.pl
--- 25/scripts/reference_init.pl~__init-dependencies-ignore-__param	Wed Oct 20 16:15:06 2004
+++ 25-akpm/scripts/reference_init.pl	Wed Oct 20 16:15:06 2004
@@ -95,6 +95,7 @@ foreach $object (sort(keys(%object))) {
 		     $from !~ /\.text\.lock$/ &&
 		     $from !~ /\.pci_fixup_header$/ &&
 		     $from !~ /\.pci_fixup_final$/ &&
+		     $from !~ /\__param$/ &&
 		     $from !~ /\.debug_/)) {
 			printf("Error: %s %s refers to %s\n", $object, $from, $line);
 		}
_
